setTargetGroupDescription

Prev Next

Available in VPC

Edit the target group description.

Request

The following describes the request format for the endpoint. The request format is as follows:

Method URI
GET /vloadbalancer/v2/setTargetGroupDescription

Request headers

For information about the headers common to all Load Balancer APIs, see Load Balancer request headers.

Request query parameters

You can use the following query parameters with your request:

Field Type Required Description
regionCode String Optional Region code for the target group whose description you want to edit
  • First Region of the getRegionList search result (default)
  • See getRegionList
targetGroupNo String Required Target group number
targetGroupDescription String Optional Target group description (byte)
  • 0 - 1,000
responseFormatType String Optional Response result format
  • xml (default) | json

Request example

The following is a sample request.

curl --location 'https://ncloud.apigw.ntruss.com/vloadbalancer/v2/setTargetGroupDescription?regionCode=KR&targetGroupNo=*******&targetGroupDescription=YOUR_DESCRIPTION' \
--header 'x-ncp-apigw-timestamp: {Timestamp}' \
--header 'x-ncp-iam-access-key: {Access Key}' \
--header 'x-ncp-apigw-signature-v2: {API Gateway Signature}'

Response

The following describes the response format.

Response body

See TargetGroupList for the response body.

Response status codes

For information about the HTTP status codes common to all Load Balancer APIs, see Load Balancer response status codes.

Response example

The following is a sample response.

<setTargetGroupDescriptionResponse>
    <requestId>ead95ec5-8357-4f5e-8382-d103bd34c35a</requestId>
    <returnCode>0</returnCode>
    <returnMessage>success</returnMessage>
    <totalRows>1</totalRows>
    <targetGroupList>
        <targetGroup>
            <targetGroupNo>*******</targetGroupNo>
            <targetGroupName>YOUR_TARGET_GROUP</targetGroupName>
            <targetType>
                <code>VSVR</code>
                <codeName>Server (VPC)</codeName>
            </targetType>
            <vpcNo>*****</vpcNo>
            <targetGroupProtocolType>
                <code>HTTP</code>
                <codeName>HTTP protocol</codeName>
            </targetGroupProtocolType>
            <targetGroupPort>80</targetGroupPort>
            <targetGroupDescription>YOUR_DESCRIPTION</targetGroupDescription>
            <useStickySession>false</useStickySession>
            <useProxyProtocol>false</useProxyProtocol>
            <algorithmType>
                <code>RR</code>
                <codeName>Round Robin</codeName>
            </algorithmType>
            <createDate>2024-06-06T10:05:33+0900</createDate>
            <regionCode>KR</regionCode>
            <loadBalancerInstanceNo></loadBalancerInstanceNo>
            <healthCheckProtocolType>
                <code>HTTP</code>
                <codeName>HTTP protocol</codeName>
            </healthCheckProtocolType>
            <healthCheckPort>80</healthCheckPort>
            <healthCheckUrlPath>/</healthCheckUrlPath>
            <healthCheckHttpMethodType>
                <code>GET</code>
                <codeName>HTTP GET Method</codeName>
            </healthCheckHttpMethodType>
            <healthCheckCycle>30</healthCheckCycle>
            <healthCheckUpThreshold>2</healthCheckUpThreshold>
            <healthCheckDownThreshold>2</healthCheckDownThreshold>
            <targetNoList/>
        </targetGroup>
    </targetGroupList>
</setTargetGroupDescriptionResponse>